import { Channel } from "./Channel";
import { BaseApi } from "./BaseApi";
var AppApiEvent;
(function (AppApiEvent) {
    AppApiEvent["CONFIG_CHANGED"] = "event::cn.widgetjs.core.app.config.changed";
})(AppApiEvent || (AppApiEvent = {}));
class AppApiImpl extends BaseApi {
    getChannel() {
        return Channel.APP;
    }
    async setConfig(key, value) {
        return await this.invokeMethod('setConfig', key, value);
    }
    async getConfig(key, defaultValue) {
        const value = await this.invokeMethod("getConfig", key);
        if (value === null || value === undefined) {
            return defaultValue;
        }
        if (typeof defaultValue == "boolean") {
            return value === "true";
        }
        if (typeof defaultValue == "number") {
            return Number(value);
        }
        return value;
    }
    async openAddWidgetWindow() {
        return this.invokeMethod('openAddWidgetWindow');
    }
    /**
     * 获取应用版本号，格式为 x.y.z
     */
    async getVersion() {
        return this.invokeMethod('getVersion');
    }
    async getPreloadPath() {
        return this.invokeMethod('getPreloadPath');
    }
    async openSettingWindow() {
        return this.invokeMethod('openSettingWindow');
    }
}
const AppApi = new AppApiImpl();
export { AppApi, AppApiEvent };
