import { BaseApi } from './BaseApi';
import { Channel } from './Channel';
class StoreApiImpl extends BaseApi {
    getChannel() {
        return Channel.STORE;
    }
    async delete(key) {
        return this.invokeMethod('delete', key);
    }
    async get(key) {
        return this.invokeMethod('get', key);
    }
    async getObject(key, defaultValue) {
        const result = await this.invokeMethod('get', key);
        if (result) {
            return JSON.parse(result);
        }
        if (defaultValue) {
            return defaultValue;
        }
        return undefined;
    }
    async set(key, value) {
        if (typeof value == 'object') {
            return this.invokeMethod('set', key, JSON.stringify(value));
        }
        return this.invokeMethod('set', key, value);
    }
}
const StoreApi = new StoreApiImpl();
export { StoreApi };
