import { BaseApi } from "./BaseApi";
interface IAppApi {
    setConfig(key: string, value: string | number | boolean): Promise<void>;
    getConfig(key: string, defaultValue: string | number | boolean): Promise<string | number | boolean>;
    getVersion(): Promise<string>;
    getPreloadPath(): Promise<string>;
    openAddWidgetWindow(): Promise<void>;
    openSettingWindow(): Promise<void>;
}
type AppApiMethods = keyof IAppApi;
declare enum AppApiEvent {
    CONFIG_CHANGED = "event::cn.widgetjs.core.app.config.changed"
}
declare class AppApiImpl extends BaseApi<AppApiMethods> implements IAppApi {
    getChannel(): string;
    setConfig(key: string, value: string | number | boolean): Promise<any>;
    getConfig(key: string, defaultValue: string | number | boolean): Promise<string | number | boolean>;
    openAddWidgetWindow(): Promise<any>;
    /**
     * 获取应用版本号，格式为 x.y.z
     */
    getVersion(): Promise<string>;
    getPreloadPath(): Promise<string>;
    openSettingWindow(): Promise<any>;
}
declare const AppApi: AppApiImpl;
export { AppApi, AppApiEvent, AppApiMethods };
