import { FileTypeResult } from 'file-type';
export interface ReadDirOptions {
    ignoreDir?: boolean;
    traverseDir?: boolean;
}
interface IFileApi {
    readDirectory(path: string, options?: ReadDirOptions): Promise<string[]>;
    isDirectory(filePath: string): Promise<boolean>;
    getFileType(filePath: string): Promise<FileTypeResult>;
}
type FileApiMethods = keyof IFileApi;
declare const FileApi: IFileApi;
export { FileApi, FileApiMethods };
